| Classes - Annotated - Tree - Functions - Home - Structure

# QResizeEvent Class Reference

The QResizeEvent class contains event parameters for resize events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QResizeEvent ( const QSize & size, const QSize & oldSize )
- const QSize& size () const
- const QSize& oldSize () const

## Detailed Description

The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also QWidget::resize() and QWidget::setGeometry().

Examples: mainlyQt/editor.cpp xform/xform.cpp mainlyXt/editor.cpp drawdemo/drawdemo.cpp menu/menu.cpp qmag/qmag.cpp mainlyMotif/editor.cpp

## Member Function Documentation

### QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )

Constructs a resize event with the new and old widget sizes.

### const QSize & QResizeEvent::oldSize () const

Returns the old size of the widget.

### const QSize & QResizeEvent::size () const

Returns the new size of the widget, which is the same as QWidget::size().

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.